<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="name">
<xsl:apply-templates/>
</xsl:template>
				
<xsl:template match="type">
<xsl:text> </xsl:text>
<xsl:apply-templates/>
<xsl:text> </xsl:text>
</xsl:template>
				
<xsl:template match="line">
<xsl:if test="@number">
<xsl:text></xsl:text><xsl:value-of select="@number"/>:<xsl:text></xsl:text>
</xsl:if>
<xsl:apply-templates/>
</xsl:template>
		
<xsl:template match="method">
<xsl:text> </xsl:text>
<xsl:if test="@class">
	<xsl:value-of select="@class"/>
	<xsl:text>.</xsl:text>
</xsl:if>
<xsl:value-of select="@name"/>
(<xsl:apply-templates select="param"/>)
<xsl:text> </xsl:text>
</xsl:template>
				
<xsl:template match="method / param">
<xsl:value-of select="@type"/>
</xsl:template>
<xsl:template match="method / param[ last() ]">
<xsl:value-of select="@type"/>
</xsl:template>
		
</xsl:stylesheet>



